Skip to main content
POST
/
api
/
v2.1
/
fincard
/
virtual
/
wallet
/
v2
/
coins
Coin List
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/wallet/v2/coins \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --data '"<string>"'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/wallet/v2/coins"

payload = "<string>"
headers = {
"X-Forwarded-From": "<x-forwarded-from>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Forwarded-From': '<x-forwarded-from>', 'Content-Type': 'application/json'},
body: JSON.stringify('<string>')
};

fetch('https://sandbox.finhub.cloud/api/v2.1/fincard/virtual/wallet/v2/coins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "code": 200,
  "msg": "Success",
  "data": [
    {
      "coinKey": "<string>",
      "chain": "<string>",
      "coinFullName": "<string>",
      "coinName": "<string>",
      "showCoinDecimal": 123,
      "coinDecimal": 123,
      "blockChainShowName": "<string>",
      "browser": "<string>",
      "txRefUrl": "<string>",
      "contractAddress": "<string>",
      "enableDeposit": true,
      "enableWithdraw": true,
      "confirmations": 123,
      "enabled": true,
      "chainKey": "<string>",
      "chainSymbol": "<string>",
      "decimalPrecision": 123,
      "minDepositAmount": 123,
      "maxDepositAmount": 123,
      "depositFee": 123,
      "withdrawalFee": 123,
      "confirmationRequirement": 123,
      "isErc20Token": true,
      "supportedNetworks": [
        "<string>"
      ],
      "iconUrl": "<string>",
      "active": true
    }
  ]
}

Headers

User-Agent
string

User agent

X-Forwarded-For
string

Forwarded for

X-Forwarded-From
string
required

Client application identifier

Example:

"client-app"

X-Tenant-ID
string

Tenant ID

deviceId
string

Device ID

platform
string

Platform

Body

application/json

Empty request body

The body is of type string.

Response

Successful response

Coin list response

success
boolean

Success flag

Example:

true

code
integer<int32>

Response code

Example:

200

msg
string

Response message

Example:

"Success"

data
object[]

Coin data